module.exports = {
  theme: {
    extend: {
      screens: {
        print: { raw: "print" },
      },
      inset: {
        "1/2": "50%",
      },
      boxShadow: {
        sidenav: "inset 0 0 1px 2px rgba(0, 0, 0, 0.2)",
        sm: "0px 2px 1px -1px rgba(0,0,0,0.1), 0px 1px 1px 0px rgba(0,0,0,0.1), 0px 1px 3px 0px rgba(0,0,0,0.1)",
      },
      borderColor: {
        currentColor: "currentColor",
      },
      gridTemplateColumns: {
        xs: "repeat(auto-fit, minmax(8rem, 1fr))",
        sm: "repeat(auto-fit, minmax(14rem, 1fr))",
        md: "repeat(auto-fit, minmax(20rem, 1fr))",
        lg: "repeat(auto-fit, minmax(28rem, 1fr))",
        xl: "repeat(auto-fit, minmax(36rem, 1fr))",
      },
      animation: {
        backforth: "backforth 2s ease-in-out infinite",
      },
      keyframes: {
        backforth: {
          "0%": { left: "0px" },
          "50%": { left: "100%" },
          "100%": { left: "0px" },
        },
      },
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
    },
    fontFamily: {
      display: ["Montserrat", "sans-serif"],
      sans: ["Open Sans", "sans-serif"],
      mono: ["Roboto Mono", "monospace"],
      code: ["Fira Code", "monospace"],
      title: ["Paytone One", "sans-serif"],
      text: ["Public Sans", "sans-serif"],
      roboto: ["Roboto", "sans-serif"],
    },
    fontSize: {
      xxs: "0.625rem",
      xs: "0.75rem",
      sm: "0.875rem",
      base: "1rem",
      lg: "1.125rem",
      xl: "1.25rem",
      "2xl": "1.5rem",
      "3xl": "1.875rem",
      "4xl": "2.25rem",
      "5xl": "3rem",
      "6xl": "4rem",
    },
    maxHeight: {
      none: "none",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      full: "100%",
      screen: "100vh",
    },
    colors: {
      white: "#fff",
      cream: "#F9F7F2",
      black: "#131626",
      transparent: "transparent",
      routeWithdraw: "#176693",
      primaryCta: "var(--primaryCta)",
      primaryText: "var(--primaryText)",
      primaryCtaText: "var(--primaryCtaText)",
      gray: {
        100: "#f7fafc",
        200: "#edf2f7",
        300: "#e2e8f0",
        400: "#cbd5e0",
        500: "#a0aec0",
        600: "#718096",
        700: "#4a5568",
        800: "#2d3748",
        900: "#1a202c",
      },
      primary: {
        50: "#EDFDFF",
        100: "#C9FAFF",
        200: "#A4F7FF",
        300: "#6DECFD",
        400: "#3DDEF3",
        500: "#15CBE3",
        600: "#1BB0C4",
        700: "#208E9C",
        800: "#1F646D",
        900: "#16363B",
      },
      neutral: {
        100: "#F2F9F9",
        200: "#EEF7F7",
        300: "#DEEEEE",
        400: "#BCDDDD",
        500: "#96BABB",
        600: "#70979A",
        700: "#4A7378",
        800: "#245056",
        900: "#15373A",
      },
      success: {
        50: "#EDF8F0",
        100: "#E4FCEC",
        300: "#B2E1C2",
        400: "#8DD3A5",
        500: "#68C487",
        600: "#46B46B",
        700: "#388F55",
      },
      warning: {
        50: "#FFF5E5",
        100: "#FFEFD5",
        300: "#FFD594",
        400: "#FFC161",
        500: "#FFAD2D",
        600: "#FA9800",
        700: "#DD8803",
      },
      danger: {
        50: "#FFF3F0",
        100: "#FFDFD6",
        300: "#FFBFAD",
        400: "#FF977A",
        500: "#FF7049",
        600: "#FF4714",
        700: "#E03000",
      },
      info: {
        50: "#F5F9FF",
        100: "#DBECFF",
        300: "#B3D7FF",
        400: "#80BCFF",
        500: "#4DA1FF",
        600: "#1A86FF",
        700: "#006CE6",
      },
      purple: {
        50: "#F8F1FF",
        100: "#DDC8F0",
        300: "#B787E0",
        400: "#9151C9",
        500: "#6C1CB2",
        600: "#55158B",
        700: "#411766",
      },
    },
  },
  plugins: [require("@headlessui/tailwindcss")({ prefix: "ui" })],
  content: [
    "public/index.html",
    "lib/es6_global/src/**/**.(c)?js",
    "src/**/**.(c)?js",
    "src/main.jsx",
    "node_modules/@colisweb/rescript-toolkit/lib/es6_global/src/**/**.(c)?js",
    "node_modules/@colisweb/rescript-toolkit/src/**/**.(c)?js",
    "node_modules/@colisweb/api/lib/es6_global/src/**/**.(c)?js",
    "node_modules/@colisweb/api/src/**/**.(c)?js",
    "playground/**/*.(c)?js",
    "lib/es6_global/playground/**/*.(c)?js",
  ],
};
